import React from 'react';
declare type sizes = 'sm' | 'base' | 'lg' | 'xl' | '2xl' | '3xl' | '4xl';
declare type iconTypes = 'caret' | 'arrow';
declare type directions = 'up' | 'down' | 'none';
export interface ITrendProps extends React.ComponentPropsWithoutRef<'div'> {
    /**
     * Defines the trend direction
     */
    direction?: directions;
    /**
     * Reverse the directions color
     */
    reverseColor?: boolean;
    /**
     * Show circualr background color
     */
    showBgColor?: boolean;
    /**
     * Show up/down caret icons instead of up/down arrows
     */
    icon?: iconTypes;
    /**
     * Defines the size of the icon if height and width are not provided
     */
    size?: sizes;
    /**
     * Defines the color of label
     */
    value?: string | number;
}
export declare const Trend: ({ className, icon, direction, size, showBgColor, reverseColor, value, ...rest }: ITrendProps) => JSX.Element;
export {};
//# sourceMappingURL=Trend.d.ts.map